org.codehaus.jackson.map.ser.std

## Class NonTypedScalarSerializerBase<T>

- java.lang.Object
- - org.codehaus.jackson.map.JsonSerializer<T>
  - - org.codehaus.jackson.map.ser.std.SerializerBase<T>
    - - org.codehaus.jackson.map.ser.std.ScalarSerializerBase<T>
      - - org.codehaus.jackson.map.ser.std.NonTypedScalarSerializerBase<T>

- All Implemented Interfaces:
    SchemaAware
  Direct Known Subclasses:
    StdSerializers.BooleanSerializer, StdSerializers.DoubleSerializer, StdSerializers.IntegerSerializer, StdSerializers.StringSerializer, StringSerializer

      public abstract class NonTypedScalarSerializerBase<T>
      extends ScalarSerializerBase<T>

  Intermediate base class for limited number of scalar types that should never include type information. These are "native" types that are default mappings for corresponding JSON scalar types: `String`, `Integer`, `Double` and `Boolean`.
  Since:
    1.9 (refactored from 'org.codehaus.jackson.map.StdSerializers#NontTypedScalarSerializer')

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NonTypedScalarSerializerBase(Class<T> t)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serializeWithType(T value, JsonGenerator jgen, SerializerProvider provider, TypeSerializer typeSer)` Default implementation will write type prefix, call regular serialization method (since assumption is that value itself does not need JSON Array or Object start/end markers), and then write type suffix.

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.ScalarSerializerBase

      `getSchema`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, serialize, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonSerializer

      `isUnwrappingSerializer, unwrappingSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonTypedScalarSerializerBase

          protected NonTypedScalarSerializerBase(Class<T> t)

  - ### Method Detail

    - #### serializeWithType

          public final void serializeWithType(T value,
                               JsonGenerator jgen,
                               SerializerProvider provider,
                               TypeSerializer typeSer)
                                       throws IOException,
                                              JsonGenerationException

      Description copied from class: `ScalarSerializerBase`
      Default implementation will write type prefix, call regular serialization method (since assumption is that value itself does not need JSON Array or Object start/end markers), and then write type suffix. This should work for most cases; some sub-classes may want to change this behavior.
      Overrides:
        `serializeWithType` in class `ScalarSerializerBase<T>`
      Parameters:
        `value` - Value to serialize; can not be null.
        `jgen` - Generator used to output resulting Json content
        `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
        `typeSer` - Type serializer to use for including type information
      Throws:
        `IOException`
        `JsonGenerationException`